#!/usr/bin/python3
#  coding: utf-8
#
#   procGetHddNumRes.py
#
#       HDD容量と結果file数を取得する
#       subprocessとして実行する。
#
#   21/05/09    新規作成
#

import sys
import subprocess
import folderContHddVals

#
#  getHddNumRes
#---------------
def getHddNumRes(folderDir):
    """ HDDの容量と結果file数を取得する"""
    disk = folderContHddVals.getDiskSpace(folderDir)
    nRes = folderContHddVals.getNumberOfResults(folderDir)
    total = disk.total
    free = disk.free
    print(total, free, nRes)


if __name__ == "__main__":
    folderDir = sys.argv[1]
    getHddNumRes(folderDir)
